<#import "template.ftl" as layout>
<@layout.registrationLayout; section>
  <style>{% include 'assets/mystyle.css' %}</style>
  <style>

  body{
    background-color: rgb(234, 237, 242) !important;
  }
  @media (min-width: 768px) {
      .login-pf-page .card-pf {
        padding: 20px 40px 30px 40px;
        margin-top: 0px;
        border-radius: 5px;
    }
  }
  @media (max-width: 767px) {
    .login-pf-page .card-pf {
      margin-top: 160px;
      margin-left: auto;
      margin-right: auto;
    }
    .register-title{
      padding-top: 20px;
      margin: auto 0px;
      padding-left: 10px;
      padding-right: 10px;
    }
  }
  .register-header-text {
    position: absolute;
    top: 206px;
    font-size: 17px;
    max-width: 500px;
    font-weight: 400;
    color: #44536a;
  }
  .header-num-logo{
    margin: 0 auto !important;
    background-color: #ffff !important;
    padding: 20px !important;
    border-radius: 5px !important;
    max-width: 600px !important;
    text-align: center;
  }
  .btn-rps-primary{
    height: 42px;
    transition: 0.4s;
  }
  .alert-info-header{
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    font-size: 15px;
    font-weight: 500;
  }

  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <#if section = "header">
   <div class="alert alert-info-header"> ${msg("registerHeader")}</div> 
   <!-- <div class="register-header-text alert alert-primary"> ${msg("registerHeader")}</div>-->
   <div class="register-title"> ${msg("registerTitle")}</div> 
  <#elseif section = "form">
  <!-- Form Steps / Progress Bar -->
      <ul class="form-stepper form-stepper-horizontal text-center mx-auto pl-0">
        {% for page in keycloak_registration_form_pages %}
            <li id="step-header-{{ loop.index }}" class="{% if loop.first %}form-stepper-active {% else %}form-stepper-unfinished{% endif %} text-center form-stepper-list" step="{{loop.index}}">
                <a class="mx-2">
                    <span class="form-stepper-circle">
                        <span>{{loop.index}}</span>
                    </span>
                </a>
            </li>
        {% endfor %}
        </ul>
    <form id="kc-register-form" class="${properties.kcFormClass!}" action="${url.registrationAction}" method="post" style="top:300px;">
      {% for page in keycloak_registration_form_pages %}
        <section id="step-{{loop.index}}" class="form-step{% if not loop.first %} d-none{% endif %}">
          <h2>{{page.heading}}</h2>
          <p><sub>*</sub> = Pflichtfeld</p>
          {% for field in page.form_elements %}
              {% include 'field_types/'+field.type+'.ftl.j2' %}
          {% endfor %}        
          <div class="mt-3">
              
              <div id="kc-form-buttons" class="col-xs-12 col-sm-12 col-md-6 col-lg-6"
                {% if not loop.first %} style="display:visible" {% else %} style="display:none" {% endif %}>
                <button class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} col-lg-6 btn-navigate-form-step" type="button" onclick="navigateToFormStep(-1)"><i class="fa-solid fa-left"></i>Zurück</button>
              </div>
              {% if loop.last %}                
                <div id="kc-form-buttons" class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                    <input class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} col-lg-6" type="submit" value="${msg("doRegister")}"/>
                </div>
              {% else %}              
                <div id="kc-form-buttons" class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                  <button class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonBlockClass!} col-lg-6 btn-navigate-form-step" type="button" onclick="navigateToFormStep(1)">Weiter <i class="fa-solid fa-right"></i></button>
                </div>                
              {% endif %}

          </div>
        </section>
      {% endfor %}
            <#if recaptchaRequired??>
            <div class="form-group">
                <div class="${properties.kcInputWrapperClass!}">
                    <div class="g-recaptcha" data-size="compact" data-sitekey="${recaptchaSiteKey}"></div>
                </div>
            </div>
            </#if>

            <div class="${properties.kcFormGroupClass!}">
                <div id="kc-form-options" class="${properties.kcFormOptionsClass!}">
                    <div class="back-to-login ${properties.kcFormOptionsWrapperClass!}">
                        <span><a href="${url.loginUrl}">${kcSanitize(msg("backToLogin"))?no_esc}</a></span>
                    </div>
                </div>
            </div>
    </form>
    <script> 
      const rules = {{keycloak_registration_form_rules | tojson }};      
    </script>
    <script>{% include 'assets/register.js' %}</script>
  </#if>
</@layout.registrationLayout>
